// rexCrawler AJAX
// rexCrawlerAJAX.ajaxurl: URL to admin-ajax.php
// rexCrawlerAJAX.pluginurl: URL to the plugin-folder (with trailing slash)


jQuery(document).ready(function(){
	var loadingDiv = '<div id="loading" style="clear:both; background:url('+rexCrawlerAJAX.pluginurl+'loading.gif) center top no-repeat; text-align:center;padding:33px 0px 0px 0px; font-size:12px; font-family:Myriad Pro;">LOADING!</div>';
	var loadingDivSmall = '<div id="loading" style="clear:both; background:url('+rexCrawlerAJAX.pluginurl+'loading.gif) center top no-repeat; text-align:center;padding:0; font-size:12px; font-family:Myriad Pro;"></div>';
	
	/*** ADMIN: STYLESHEET SANITIZED NAME ***/
	jQuery('#style_name').change( function(){
		if(jQuery('#style_name').val() != 0){
			jQuery.ajax({
				type: 'post', url: rexCrawlerAJAX.ajaxurl, data: {action: 'rc_ajax_admin_stylesheet_name', styleName: jQuery('#style_name :selected').text()},
				beforeSend: function(){
					jQuery('#style_sanitize').html( loadingDivSmall );
				},
				success: function(html){
					jQuery('#style_sanitize').html( html );
				}
			});
		}else{
			jQuery('#style_sanitize').html( '' );
		}
	});
	
	jQuery('#style_name_new').keyup(function(event) {
		// Make sure 'return' doesnt submit the form
		if(event.keyCode == '13'){
			event.preventDefault();
		}
		jQuery.ajax({
			type: 'post', url: rexCrawlerAJAX.ajaxurl, data: {action: 'rc_ajax_admin_stylesheet_name', styleName: jQuery('#style_name_new').val()},
			beforeSend: function(){
				jQuery('#style_sanitize').html( loadingDivSmall );
			},
			success: function(html){
				jQuery('#style_sanitize').html( html );
			}
		});
	});
	
	/*** OUTPUT SEARCH TEXT-FIELD ***/
	jQuery('#rc_output_search').keyup(function(event) {
		// Make sure 'return' doesnt submit the form
		if(event.keyCode == '13'){
			event.preventDefault();
		}
		jQuery.ajax({
			type: "post",url: rexCrawlerAJAX.ajaxurl,data: { action: 'rc_ajax_output', outputID: 0, rc_output_submitted: 1, rc_output_search: escape( jQuery('#rc_output_search').val()), rc_output_data: escape( jQuery('#rc_output_data').val()), rc_output_pages: escape( jQuery('#rc_output_pages').val()), rc_output_options: jQuery('#rc_output_options').val()},
			beforeSend: function() {
							jQuery("."+jQuery('#rc_output_element_prefix').val()+"_data-wrapper").html( loadingDiv );
						
						},
			success: function(html){ //so, if data is retrieved, store it in html
				jQuery("."+jQuery('#rc_output_element_prefix').val()+"_data-wrapper").html( html ); //show the html inside formstatus div
			}
		}); //close jQuery.ajax
		//return false;
	})
	
	/*** OUTPUT DATA LIST ***/
	jQuery('#rc_output_data').change(function(){
		jQuery.ajax({
				type: "post",url: rexCrawlerAJAX.ajaxurl,data: { action: 'rc_ajax_output', outputID: 0, rc_output_submitted: 1, rc_output_search: escape( jQuery('#rc_output_search').val()), rc_output_data: escape( jQuery('#rc_output_data').val()), rc_output_pages: escape( jQuery('#rc_output_pages').val()), rc_output_options: jQuery('#rc_output_options').val()},
				beforeSend: function() {
								jQuery("."+jQuery('#rc_output_element_prefix').val()+"_data-wrapper").html( loadingDiv );
							
							},
				success: function(html){ //so, if data is retrieved, store it in html
					jQuery("."+jQuery('#rc_output_element_prefix').val()+"_data-wrapper").html( html ); //show the html inside formstatus div
				}
			}); //close jQuery.ajax
	});
	
	jQuery('#rc_output_data').keydown(function(event){
		// Make sure 'return' doesnt submit the form
		if(event.keyCode == '13'){
			event.preventDefault();
		}
	});
	
	/*** OUTPUT PAGES LIST ***/
	jQuery('#rc_output_pages').change(function(){
		jQuery.ajax({
				type: "post",url: rexCrawlerAJAX.ajaxurl,data: { action: 'rc_ajax_output', outputID: 0, rc_output_submitted: 1, rc_output_search: escape( jQuery('#rc_output_search').val()), rc_output_data: escape( jQuery('#rc_output_data').val()), rc_output_pages: escape( jQuery('#rc_output_pages').val()), rc_output_options: jQuery('#rc_output_options').val()},
				beforeSend: function() {
								jQuery("."+jQuery('#rc_output_element_prefix').val()+"_data-wrapper").html( '<div id="loading" style="clear:both; background:url('+rexCrawlerAJAX.pluginurl+'loading.gif) center top no-repeat; text-align:center;padding:33px 0px 0px 0px; font-size:12px; font-family:Myriad Pro;">LOADING!</div>' );
							
							},
				success: function(html){ //so, if data is retrieved, store it in html
					jQuery("."+jQuery('#rc_output_element_prefix').val()+"_data-wrapper").html( html ); //show the html inside formstatus div
				}
			}); //close jQuery.ajax
	});
	
	jQuery('#rc_output_pages').keydown(function(event){
		// Make sure 'return' doesnt submit the form
		if(event.keyCode == '13'){
			event.preventDefault();
		}
	});
})
